#!/usr/bin/python3
# Les variables:
tableau=[]
i=0
avg=0
# Boucle while pour l'input et le remplissage du tableau
while i < 4:
    x=int(input("Entrez un chiffre : "))
    tableau.append(x)
    x=0
    i=i+1
# Fin de la boucle while, déclaration de variables pour la suite
mini=tableau[0]
maxi=tableau[0]
# Boucle for pour obtenir les valeurs minimales et maximales
for y in range (i):
    if tableau[y] > maxi:
        maxi=tableau[y]
    if tableau[y] < mini:
        mini=tableau[y]
    avg=avg+tableau[y]
    # Affichage de chaque élément du tableau
    print(tableau[y])
# Calcul de la moyenne
avg=avg/i
# Affichage final
print("La plus grande valeur du tableau est: ",maxi)
print("La plus petite valeur du tableau est: ",mini)
print("La moyenne du tableau final est: ",avg)

# On aurait pu faire ça 100x plus vite, mais faut se compliquer la vie.
